## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 8;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           autolink-java
Version:        0.11.0
Release:        %autorelease
Summary:        Java library to extract links from plain text

License:        MIT
URL:            https://github.com/robinst/autolink-java
VCS:            git:%{url}.git
Source:         %{url}/archive/autolink-%{version}.tar.gz

BuildArch:      noarch
ExclusiveArch:  noarch %{java_arches}

BuildRequires:  maven-local
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache.maven.plugins:maven-compiler-plugin)

%description
Autolink is a Java library to extract links such as URLs and email
addresses from plain text.  It's smart about where a link ends, such as
with trailing punctuation.

%{?javadoc_package}

%prep
%autosetup -n %{name}-autolink-%{version}

%conf
# Not needed for an RPM build
%pom_remove_plugin com.github.siom79.japicmp:japicmp-maven-plugin
%pom_remove_plugin org.apache.maven.plugins:maven-release-plugin
%pom_remove_plugin org.sonatype.plugins:nexus-staging-maven-plugin

# We do not want to run benchmarks
%pom_remove_dep org.openjdk.jmh:jmh-core
rm src/test/java/org/nibor/autolink/AutolinkBenchmark.java

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc CHANGELOG.md README.md
%license LICENSE

%changelog
## START: Generated by rpmautospec
* Thu Jan 16 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.11.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Mon Jan 13 2025 Jerry James <loganjerry@gmail.com> - 0.11.0-7
- Move configuration steps to %%conf

* Wed Nov 20 2024 Jerry James <loganjerry@gmail.com> - 0.11.0-6
- Avoid unexpanded macro in package %%description

* Wed Jul 17 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.11.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Tue Jul 16 2024 Jerry James <loganjerry@gmail.com> - 0.11.0-4
- Add VCS field

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.11.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.11.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Tue Aug 29 2023 Jerry James <loganjerry@gmail.com> - 0.11.0-1
- Initial RPM
## END: Generated by rpmautospec
